/*  DDecon - Distributed Deconvolution Plugin for ImageJ
    Copyright (C) 2007  Ryan Littlefield

    This program is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program.  If not, see <http://www.gnu.org/licenses/>.
*/


import ij.*;

public class MuscleType {
	
	public String name;
	public String location;
	public String type;
	public String percentSlow;
	public String nebKDa;
	public String nebKDaError;
	public String titinKDa;
	public String titinKDaError;
	public String thinFilaLength;
	public String [] types = {"Psoas Major", "Soleus", "Tibialis Anterior", "Gastrocnemius", "Diaphragm",
			"Pectoralis Descendens", "Extensor Digitorum Longus", "Biceps Brachii", "Adductor Brevis",
			"Rectus Femorus", "Semitendinous", "Semimembranous Propius", "Tensor Fascia Latae", 
			"Gracilis", "Cleidodeltoidus", "Papillary", "Flexor Digitorum Profundus", "Flexor Carpi Ulnarus",
			"Longissimus Dorsii", "Acromiotrapezius"};
	
	public MuscleType(String name, String loc, String type, String pSlow, String nKDa, String nKDaE,
			String tKDa, String tKDaE, String tfl) {
		this.name = name;
		this.location = loc;
		this.type = type;
		this.percentSlow = pSlow;
		this.nebKDa = nKDa;
		this.nebKDaError = nKDaE;
		this.titinKDa = tKDa;
		this.titinKDaError = tKDaE;
		this.thinFilaLength = tfl;
	}

	public String tabOut() {
		String out = name
					+ "\t" + location
					+ "\t" + type
					+ "\t" + percentSlow
					+ "\t" + nebKDa
					+ "\t" + nebKDaError
					+ "\t" + titinKDa
					+ "\t" + titinKDaError
					+ "\t" + thinFilaLength
					;
		return out;
	}

}
