/*  DDecon - Distributed Deconvolution Plugin for ImageJ
    Copyright (C) 2007  Ryan Littlefield

    This program is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program.  If not, see <http://www.gnu.org/licenses/>.
*/

import java.awt.Checkbox;
import java.awt.Label;
import java.awt.Panel;
import java.awt.event.ItemListener;

public class ViewPanel extends Panel {
	public Label label = new Label("");
//		    	public int n = 4;
	public Checkbox [] views;
	
	ViewPanel (int w, int h, int n, ItemListener listener) {
		setLayout(null);
		setSize(w,h);
		int hc = (int)(h/(n+1));
		label.setSize(w,hc);
		label.setLocation(0,0);
		add(label);
		views = new Checkbox [n];
		for (int i=0;i<4;i++) {
			views[i] = new Checkbox("",null,false);
			views[i].addItemListener(listener);
			views[i].setSize(w,hc);
			views[i].setLocation(0,(int)((i+1)*h/(n+1)));
			add(views[i]);
		}
	}
}

